AWS IoT Device SDK C++ v2: Aws::Iotshadow::ErrorResponse Class Reference

AWS IoT Device SDK C++ v2 1.14.0 AWS IoT Device SDK C++ v2

Public Member Functions | Public Attributes | List of all members
Aws::Iotshadow::ErrorResponse Class Referencefinal

`#include <ErrorResponse.h>`

## Public Member Functions
| ErrorResponse ()=default
| ErrorResponse (const Crt::JsonView &doc)
ErrorResponse & | operator= (const Crt::JsonView &doc)
void | SerializeToObject (Crt::JsonObject &doc) const

## Public Attributes
Aws::Crt::Optional< Aws::Crt::DateTime > | Timestamp
Aws::Crt::Optional< Aws::Crt::String > | Message
Aws::Crt::Optional< Aws::Crt::String > | ClientToken
Aws::Crt::Optional< int32_t > | Code

## Detailed Description

Response document containing details about a failed request.

## Constructor & Destructor Documentation

## ◆ ErrorResponse() [1/2]

Aws::Iotshadow::ErrorResponse::ErrorResponse | ( |  | ) |
| default

## ◆ ErrorResponse() [2/2]

Aws::Iotshadow::ErrorResponse::ErrorResponse | ( | const Crt::JsonView & | doc | ) |

## Member Function Documentation

## ◆ operator=()

ErrorResponse & Aws::Iotshadow::ErrorResponse::operator= | ( | const Crt::JsonView & | doc | ) |

## ◆ SerializeToObject()

void Aws::Iotshadow::ErrorResponse::SerializeToObject | ( | Crt::JsonObject & | doc | ) | const

## Member Data Documentation

## ◆ ClientToken

Aws::Crt::Optional<Aws::Crt::String> Aws::Iotshadow::ErrorResponse::ClientToken

Opaque request-response correlation data. Present only if a client token was used in the request.

## ◆ Code

Aws::Crt::Optional<int32_t> Aws::Iotshadow::ErrorResponse::Code

An HTTP response code that indicates the type of error.

## ◆ Message

Aws::Crt::Optional<Aws::Crt::String> Aws::Iotshadow::ErrorResponse::Message

A text message that provides additional information.

## ◆ Timestamp

Aws::Crt::Optional<Aws::Crt::DateTime> Aws::Iotshadow::ErrorResponse::Timestamp

The date and time the response was generated by AWS IoT. This property is not present in all error response documents.

The documentation for this class was generated from the following files:

- shadow/include/aws/iotshadow/ErrorResponse.h
- shadow/source/ErrorResponse.cpp